@ECHO OFF
REM zip_to_7zip_subfolders.bat - find all .zip and .rar files in the current directory and all subfolders, recompress them into 7zip files - but don't delete the originals.
set ROOTDIR=%CD%

ECHO Searching for RAR and ZIP files to recompress into 7zip archives.
for /R "%ROOTDIR%" %%F in (*.rar *.zip) do (
ECHO Found %%F to recompress...
REM Extract...
"C:\Program Files\7-Zip\7z" x "%%F" -o"%%F contents"
REM Does the directory exist? has 7zip created it correctly?
IF EXIST "%%~fF contents" (
REM Change directory, create 7zip of contents of directory...
CD "%%~fF contents"
"C:\Program Files\7-Zip\7z" a -t7z "../%%~nF.7z" * -mx=9
CD "%ROOTDIR%"
REM Delete the temporary extraction folder
RMDIR "%%~fF contents" /S /Q
ECHO Recompressed %%F to %%~nF.7z
)
)
ECHO Search ended.

pause