@ECHO OFF
REM zip_automated_delete.bat - find all .zip and .rar files in the current directory delete them if a "filename.7z" file exists for them in the same directory.

ECHO Searching for RAR and ZIP files to delete
for %%F in (*.rar *.zip) do (
ECHO Found %%F to possibly delete...
REM Check
IF EXIST "%%~nF.7z" (
REM Delete the old file, we have a copy
DEL "%%F" /F /Q
ECHO Found %%~nF.7z so can delete %%F. Deleted.
) ELSE (
ECHO Cannot delete %%F, no %%~nF.7z file found.
)
)
ECHO Search ended.

pause